#include<stdio.h>

int main(){

  FILE *fp;
  double da, a, amin, amax, x;
  int n;

  da = 0.001; // aのステップ幅 
  amin = 1.0; // aの最小値 
  amax = 4.0; // aの最大値 

  /* 出力ファイルを開く */
  fp=fopen("logistic.dat", "w");

  /* aが1から4までdaずつ増やしながらループを回す */
  for(a=amin;a<amax;a+=da){
    
    /* xの初期値を0.5とする(0<x<1であればなんでもよい) */
    x=0.5;

    /* 数列を600回程度回す */
    for(n=0;n<600;n++){

      /* ロジスティック写像の式でx_iからx_{i+1}を計算 */
      x = a*x*(1.0-x);

      /* 500回を超えたところからaとxの値をファイルに出力する */
      if(n>500) fprintf(fp,"%f %f\n", a,x);

      }

  }

  /* 出力ファイルを閉じる */
  fclose(fp);
  return 0;
  
}
